Merge lp:~charlesk/indicator-sound/nogtk2 into lp:indicator-sound/12.10

Proposed by Charles Kerr
Status: Merged
Merged at revision: 331
Proposed branch: lp:~charlesk/indicator-sound/nogtk2
Merge into: lp:indicator-sound/12.10
Diff against target: 100 lines (+17/-50)
1 file modified
configure.ac (+17/-50)
To merge this branch: bzr merge lp:~charlesk/indicator-sound/nogtk2
Reviewer Review Type Date Requested Status
jenkins (community) continuous-integration Needs Fixing
Lars Karlitski (community) Approve
Review via email: mp+116578@code.launchpad.net
To post a comment you must log in.
Revision history for this message
jenkins (martin-mrazik+qa) wrote :
review: Needs Fixing (continuous-integration)
Revision history for this message
Allan LeSage (allanlesage) wrote :

I believe that Jenkins would like to find that the packaging has been updated to reflect this change.

Revision history for this message
Lars Karlitski (larsu) :
review: Approve
Revision history for this message
Unity Merger (unity-merger) wrote :

No commit message specified.

Revision history for this message
jenkins (martin-mrazik+qa) wrote :

FAILED: Autolanding.
No commit message was specified.
http://jenkins.qa.ubuntu.com/job/indicator-sound-autolanding/1/

review: Needs Fixing (continuous-integration)

Preview Diff

[H/L] Next/Prev Comment, [J/K] Next/Prev File, [N/P] Next/Prev Hunk
1=== modified file 'configure.ac'
2--- configure.ac 2012-07-12 16:39:40 +0000
3+++ configure.ac 2012-07-25 03:33:22 +0000
4@@ -26,21 +26,10 @@
5 AC_PATH_PROG([GLIB_GENMARSHAL], [glib-genmarshal])
6
7 ###########################
8-# GTK+ version option
9-###########################
10-
11-AC_ARG_WITH([gtk],
12- [AS_HELP_STRING([--with-gtk],
13- [Which version of gtk to use for the indicator @<:@default=3@:>@])],
14- [],
15- [with_gtk=3])
16-
17-###########################
18 # Dependencies
19 ###########################
20
21-GTK_REQUIRED_VERSION=2.22
22-GTK3_REQUIRED_VERSION=3.0
23+GTK_REQUIRED_VERSION=3.0
24 INDICATOR_REQUIRED_VERSION=0.3.19
25 DBUSMENUGTK_REQUIRED_VERSION=0.5.90
26 POLKIT_REQUIRED_VERSION=0.92
27@@ -55,34 +44,18 @@
28 AC_SUBST(PULSEAUDIO_CFLAGS)
29 AC_SUBST(PULSEAUDIO_LIBS)
30
31-AS_IF([test "x$with_gtk" = x3],
32- [PKG_CHECK_MODULES(APPLET, gtk+-3.0 >= $GTK3_REQUIRED_VERSION
33- indicator3-0.4 >= $INDICATOR_REQUIRED_VERSION
34- dbusmenu-gtk3-0.4 >= $DBUSMENUGTK_REQUIRED_VERSION
35- libido3-0.1 >= $INDICATOR_DISPLAY_OBJECTS
36- libnotify >= $LIBNOTIFY_REQUIRED_VERSION)
37-
38- PKG_CHECK_MODULES(SOUNDSERVICE, dbusmenu-glib-0.4 >= $DBUSMENUGLIB_REQUIRED_VERSION
39- indicator3-0.4
40- gee-1.0
41- gio-unix-2.0
42- libxml-2.0)
43- ],
44- [test "x$with_gtk" = x2],
45- [PKG_CHECK_MODULES(APPLET, gtk+-2.0 >= $GTK_REQUIRED_VERSION
46- indicator-0.4 >= $INDICATOR_REQUIRED_VERSION
47- dbusmenu-gtk-0.4 >= $DBUSMENUGTK_REQUIRED_VERSION
48- libido-0.1 >= $INDICATOR_DISPLAY_OBJECTS
49- libnotify >= $LIBNOTIFY_REQUIRED_VERSION)
50-
51- PKG_CHECK_MODULES(SOUNDSERVICE, dbusmenu-glib-0.4 >= $DBUSMENUGLIB_REQUIRED_VERSION
52- indicator-0.4
53- gee-1.0
54- gio-unix-2.0
55- libxml-2.0)
56- ],
57- [AC_MSG_FAILURE([Value for --with-gtk was neither 2 nor 3])]
58-)
59+PKG_CHECK_MODULES(APPLET, gtk+-3.0 >= $GTK_REQUIRED_VERSION
60+ indicator3-0.4 >= $INDICATOR_REQUIRED_VERSION
61+ dbusmenu-gtk3-0.4 >= $DBUSMENUGTK_REQUIRED_VERSION
62+ libido3-0.1 >= $INDICATOR_DISPLAY_OBJECTS
63+ libnotify >= $LIBNOTIFY_REQUIRED_VERSION)
64+
65+PKG_CHECK_MODULES(SOUNDSERVICE, dbusmenu-glib-0.4 >= $DBUSMENUGLIB_REQUIRED_VERSION
66+ indicator3-0.4
67+ gee-1.0
68+ gio-unix-2.0
69+ libxml-2.0)
70+
71 AC_SUBST(APPLET_CFLAGS)
72 AC_SUBST(APPLET_LIBS)
73
74@@ -118,15 +91,10 @@
75 INDICATORDIR="${libdir}/indicators/2/"
76 INDICATORICONSDIR="${datadir}/indicator-sound/icons/"
77 ],
78- [AS_IF([test "x$with_gtk" = "x2"],
79- [
80- INDICATORDIR=`$PKG_CONFIG --variable=indicatordir indicator-0.4`
81- INDICATORICONSDIR=`$PKG_CONFIG --variable=iconsdir indicator-0.4`
82- ],
83- [
84- INDICATORDIR=`$PKG_CONFIG --variable=indicatordir indicator3-0.4`
85- INDICATORICONSDIR=`$PKG_CONFIG --variable=iconsdir indicator3-0.4`
86- ])])
87+ [
88+ INDICATORDIR=`$PKG_CONFIG --variable=indicatordir indicator3-0.4`
89+ INDICATORICONSDIR=`$PKG_CONFIG --variable=iconsdir indicator3-0.4`
90+ ])
91 AC_SUBST(INDICATORDIR)
92 AC_SUBST(INDICATORICONSDIR)
93
94@@ -200,6 +168,5 @@
95 SUS Indicator Configuration:
96
97 Prefix: $prefix
98- GTK+: $with_gtk
99 gcov: $use_gcov
100 ])

Subscribers

People subscribed via source and target branches